import 'package:logger/logger.dart';

final _logger = Logger(
  printer: PrettyPrinter(
    // 要显示的方法调用的数量
    methodCount: 0,
    // 如果提供了stacktrace，则方法调用的数量
    errorMethodCount: 8,
    // 输出的宽度
    lineLength: 120,
    // 丰富多彩的日志消息
    colors: true,
    // 是否打印表情符号
    printEmojis: true,
    // 是否打印时间
    printTime: false,
  ),
);

class LogPrint {
  static const String _tag = 'LogPrint';

  LogPrint.t(dynamic msg, {String tag = _tag}) {
    _logger.t('[$tag]: $msg');
  }

  LogPrint.d(dynamic msg, {String tag = _tag}) {
    _logger.d('[$tag]: $msg');
  }

  LogPrint.i(dynamic msg, {String tag = _tag}) {
    _logger.i('[$tag]: $msg');
  }

  LogPrint.w(dynamic msg, {String tag = _tag}) {
    _logger.w('[$tag]: $msg');
  }

  LogPrint.e(dynamic msg, {String tag = _tag}) {
    _logger.e('[$tag]: $msg');
  }

  LogPrint.f(dynamic msg, {String tag = _tag}) {
    _logger.f('[$tag]: $msg');
  }
}